%define _firmwaredir %_libdir/hotplug/firmware
%define module_name dvb

Name: firmware-%module_name
Version: 0.1
Release: alt1

Summary: Firmware files for the %module_name modules
Summary(ru_RU.UTF-8): Файлы микропрограмм для модулей %module_name 
Group: System/Kernel and hardware
License: Distributable
ExclusiveOS: Linux
URL: http://linuxtv.org/download/dvb/
# SkyStar1 ttpci driver 
Source0: dvb-ttpci-01-patched261d.fw.bz2
# Hauppage DEC cards
Source1: STB_PC_T.bin.bz2
Source2: STB_PC_X.bin.bz2
Source3: STB_PC_S.bin.bz2
# AverMedia DVB-T (not supported by Hotplug yet)
Source4: sc_main.mc.bz2
# Hauppage Nova-T PCI and Technotrand budget DVBsat (not supported by Hotplug yet)
# set module parameter "tda1004x_firmware" to specify path
Source5: ttlcdacc.dll.bz2
Requires: hotplug
BuildRequires: bzip2
BuildArch: noarch 

%description
Firmware files for the %module_name modules.

%description -l ru_RU.UTF-8
Микропрограммы ПЗУ для оборудования, поддерживаемого модулями %module_name.

%prep
%build
%install
%__install -d %buildroot%_firmwaredir
bzcat %SOURCE0 > %buildroot%_firmwaredir/dvb-ttpci-01-261d.fw
bzcat %SOURCE1 > %buildroot%_firmwaredir/dvb-ttusb-dec-2000t.fw
bzcat %SOURCE2 > %buildroot%_firmwaredir/dvb-ttusb-dec-2540t.fw
bzcat %SOURCE3 > %buildroot%_firmwaredir/dvb-ttusb-dec-3000s.fw
bzcat %SOURCE4 > %buildroot%_firmwaredir/sc_main.mc
bzcat %SOURCE5 > %buildroot%_firmwaredir/tda1004x.mc

%files
%_libdir/hotplug/firmware/*

%changelog
* Sat Jan 29 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.1-alt1
- Initial build
